LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XShapeDescriptor Interface Referencepublished

offers some settings which are allowed even for objects which are not yet inserted into a draw page. More...

`import"XShapeDescriptor.idl";`

Inheritance diagram for XShapeDescriptor:

## Public Member Functions
string | getShapeType ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

offers some settings which are allowed even for objects which are not yet inserted into a draw page.

Deprecated:
  replaced by com::sun::star::lang::XServiceName

## Member Function Documentation

## ◆ getShapeType()

string getShapeType | ( |  | ) |

Returns
  the programmatic name of the shape type.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XShapeDescriptor.idl